
Figure - Bug #117900
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】安装豌豆荚后首次打开选择同意使用后 ，无法关闭小窗
2023-05-12 11:33 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-12

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103(X103)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Release Test Root cause: 当我们删除PermissionDescActivity时,由于PPMainActivity没有被finish掉,所以它然后再次显示出来,然后PPMainActivity自己内部的逻辑又会把PermissionDescActivity重新启动起来

Description

【测试步骤】

安装豌豆荚后首次打开，弹出用户协议选择同意后，点击小窗导航栏上的关闭按钮 

【预期结果】

关闭豌豆荚

【测试结果】

无法关闭，点击同意立即开启或暂不开启才能关闭小窗

History

#1 - 2023-05-12 14:11 - CD FW-鲁凯峰

豌豆荚在第一次启动的时候会启动2个Task

先是启动 com.wandoujia.phoenix2/com.pp.assistant.activity.PPMainActivity 然后PPMainActivity会新建一个Task启动PermissionDescActivity

  RootTask #251: type=standard mode=freeform

  isSleeping=false

  mBounds=Rect(20, 72 - 543, 1002)

  mCreatedByOrganizer=false

    mResumedActivity: ActivityRecord{8c7b288 u0 com.wandoujia.phoenix2/com.pp.assistant.permission.privacy.PermissionDescActivity

taskAffinity=10107:com.wandoujia.phoenix2 t251}

    * Task{29ca421 #251 type=standard A=10107:com.wandoujia.phoenix2 U=0 visible=true mode=freeform translucent=true sz=1 visible freeform task=true

rootAffinity=10107:com.wandoujia.phoenix2}

  RootTask #250: type=standard mode=freeform

  isSleeping=false

  mBounds=Rect(20, 72 - 543, 1002)

  mCreatedByOrganizer=false

    mLastPausedActivity: ActivityRecord{14171d1 u0 com.wandoujia.phoenix2/com.pp.assistant.activity.PPMainActivity

taskAffinity=10107:com.wandoujia.phoenix2 t250}

    * Task{cec1ca4 #250 type=standard A=10107:com.wandoujia.phoenix2 U=0 visible=true mode=freeform translucent=false sz=1 visible freeform task=false

rootAffinity=10107:com.wandoujia.phoenix2}
当我们删除PermissionDescActivity时,由于PPMainActivity没有被finish掉,所以它然后再次显示出来,然后PPMainActivity自己内部的逻辑又会

把PermissionDescActivity重新启动起来

05-06 20:51:19.259  1060  2186 I ActivityTaskManager: START u0 {cmp=com.wandoujia.phoenix2/com.pp.assistant.permission.privacy.PermissionDescActivity

(has extras)} from uid 10107

05-06 20:51:19.260  1060  2186 D lukaifeng: startActivityInner : ActivityRecord{8c7b288 u0

com.wandoujia.phoenix2/com.pp.assistant.permission.privacy.PermissionDescActivity taskAffinity=10107:com.wandoujia.phoenix2

05-06 20:51:19.260  1060  2186 D lukaifeng: mSourceRecord : ActivityRecord{14171d1 u0 com.wandoujia.phoenix2/com.pp.assistant.activity.PPMainActivity

taskAffinity=10107:com.wandoujia.phoenix2 t250}

初步的想法是在点击关闭小窗的时候 先遍历所有的Task,找到和要删除Task的taskAffinity属性相同的Task,一起删掉

#2 - 2023-05-13 17:19 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

199928 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: clear same affinity freeform taskaslo clear all same affinity freeform tasks when need to clearfreeform taskTC-RID: 1201-0204601IssueID:

TS-R-BUG-117900Change-Id: I252b9a16075dd5ff086f929d4cad21256ed0496a

#3 - 2023-05-13 17:22 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to 物联网测试组_CDTS  唐霞 

- Resolution changed from -- to FIXED

- Root cause set to 当我们删除PermissionDescActivity时,由于PPMainActivity没有被finish掉,所以它然后再次显示出来,然后PPMainActivity自己内部的逻辑又会

把PermissionDescActivity重新启动起来

■ Current conclusion

问题已经解决

■ My analysis

在点击关闭小窗的时候 先遍历所有的Task,找到和要删除Task的taskAffinity属性相同的Task,一起删掉

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/199928

#4 - 2023-05-15 15:11 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

验证通过。关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202305150054
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/199928


#5 - 2023-05-15 15:11 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

Files

豌豆荚首次打开无法关闭.mp4 5.38 MB 2023-05-12 物联网测试组_CDTS  唐霞 
